org.keycloak.dom.saml.v2.ac

## Class AlphabetType

- java.lang.Object
- - org.keycloak.dom.saml.v2.ac.AlphabetType

-     public class AlphabetType
      extends Object

  Java class for AlphabetType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AlphabetType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="requiredChars" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="excludedChars" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="case" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `_case`
    `protected String` | `excludedChars`
    `protected String` | `requiredChars`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AlphabetType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCase()` Gets the value of the case property.
    `String` | `getExcludedChars()` Gets the value of the excludedChars property.
    `String` | `getRequiredChars()` Gets the value of the requiredChars property.
    `void` | `setCase(String value)` Sets the value of the case property.
    `void` | `setExcludedChars(String value)` Sets the value of the excludedChars property.
    `void` | `setRequiredChars(String value)` Sets the value of the requiredChars property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### requiredChars

          protected String requiredChars

    - #### excludedChars

          protected String excludedChars

    - #### _case

          protected String _case

  - ### Constructor Detail

    - #### AlphabetType

          public AlphabetType()

  - ### Method Detail

    - #### getRequiredChars

          public String getRequiredChars()

      Gets the value of the requiredChars property.
      Returns:
        possible object is `String`

    - #### setRequiredChars

          public void setRequiredChars(String value)

      Sets the value of the requiredChars property.
      Parameters:
        `value` - allowed object is `String`

    - #### getExcludedChars

          public String getExcludedChars()

      Gets the value of the excludedChars property.
      Returns:
        possible object is `String`

    - #### setExcludedChars

          public void setExcludedChars(String value)

      Sets the value of the excludedChars property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCase

          public String getCase()

      Gets the value of the case property.
      Returns:
        possible object is `String`

    - #### setCase

          public void setCase(String value)

      Sets the value of the case property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2021 JBoss by Red Hat. All rights reserved.